Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Jul 2022 22:19:56 +0300

>> That wasn't really the intention of the change, I think?  It was so that
>> if you paste text from a different program into a selected area in
>> Emacs, then that area would be deleted first, or do I misremember?
>
> AFAICT, the recipe produces what I had in my mind when I proposed.  The
> behaviour might seems slightly odd since mouse-yank-at-point is set to
> nil in OP's case.  It shouldn't be hard to take this defcustom into
> account tho.

It should delete the region only when clicking on the selected region.
Maybe it's possible to add a corresponding function for the
'delete-selection' property?